//! A compromise between a full-fledged HAL module and regular clock initialization functions
//!
//! # Structure
//! * `clock/`
//!   * `mod.rs` - To-be HAL module and re-exports of known good clock configurations
//!   * `cgu/` - Known CGU configurations
//!     * `mod.rs` - Re-exports of contained configurations
//!     * `pll.rs` -- PLL0/1 configurations snippets

/// Clock generation unit
mod cgu;
pub use cgu::*;
