#![allow(dead_code)]
pub use crate::pac::Interrupt;

pub fn enable_interrupt(
    nvic: &mut crate::pac::NVIC,
    interrupt: crate::pac::Interrupt,
    enable: bool,
) -> () {
    match enable {
        true => {
            nvic.enable(interrupt);
        }
        _ => {
            nvic.disable(interrupt);
        }
    }
}

pub fn set_priority(nvic: &mut crate::pac::NVIC, interrupt: crate::pac::Interrupt, priority: u8) -> () {
    unsafe {
        nvic.set_priority(interrupt, priority);
    }
}
