//! A HAL crate for the NXP LPC43xx series microcontroller
#![deny(warnings)]
#![feature(concat_idents)]
#![no_std]
pub use lpc43xx_pac as pac;
pub use heapless;

/// Internal 10-bit ADC
pub mod adc;
/// CAN-bus interface.
pub mod can;
/// Clocking
pub mod clock;
/// LPC43XX Configuration Registers
pub mod creg;
/// Debug functionality
pub mod debug;
/// I²C interface.
pub mod i2c;
/// Various I/O.
pub mod io;
/// Reset Generation Unit
pub mod rgu;
/// State Configurable Timer, highly configurable timer.
pub mod sct;
/// Serial communications, UART/USART
pub mod serial;
/// Serial Peripheral Interface
pub mod spi;
/// Frequency convertions
pub mod time;
/// Basic 16-bit timers
pub mod timer;
/// EEPROM
pub mod eeprom;
