use super::util::CtrlBlock;
use crate::pac;
use crate::unified;
pub use pac::sct::ctrl::{BIDIR_H_W, BIDIR_L_W};

pub fn start_timer(sct: &pac::SCT, mode: CtrlBlock, idx: u8) {
    unsafe {
        match mode {
            CtrlBlock::Low => {
                sct.start
                    .modify(|r, w| w.startmsk_l().bits((r.bits() | (1 << idx)) as u16));
            }
            CtrlBlock::High => {
                sct.start
                    .modify(|r, w| w.startmsk_h().bits((r.bits() | (1 << idx)) as u16));
            }
        }
    }
}

/// Clear the unified or low and high counters
pub fn clear_counter(sct: &pac::SCT, mode: CtrlBlock) -> () {
    match mode {
        CtrlBlock::Low => {
            sct.ctrl.modify(|_,w| w.clrctr_l().bit(true));
        }
        CtrlBlock::High => {
            assert!(unified!(sct));
            sct.ctrl.modify(|_,w| w.clrctr_h().bit(true));
        }
    }
}
