/// Selects high or low blocks if the unified bit is unset, otherwise the Low
/// block selects the combined register
pub enum CtrlBlock {
    Low,
    High,
}

/// Read the unified register. If this is set, the high and low registers are
/// treated as combined 32-bit fields, otherwise they are separated.
#[macro_export]
macro_rules! unified {
    ($sct:ident) => {
        $sct.config.read().unify().bit()
    };
}
